[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.AddObjectFirst

Adds a node with the specified text and data as the first node at the same level as the sibling node.

## Declaration

Source position: comctrls.pp line 3261

`public function TTreeNodes.AddObjectFirst(`
`SiblingNode: TTreeNode;`
`const S: string;`
`Data: Pointer`
`):TTreeNode;`

## Arguments

`SiblingNode` |  | Node which is a sibling for the new tree node. Provides the Level for the new tree node.
`S` |  | Text for the new tree node.
`Data` |  | Pointer to the data for the new tree node.

## Function result

TTreeNode instance created in the method.

## See also

TTreeNodes.InternalAddObject |  | Creates or updates a tree node with the specified text and a pointer to data.